Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PolicyC.cpp File Reference

`#include "PolicyC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "PolicyC.i"`

Include dependency graph for PolicyC.cpp:

## Compounds
class | TAO_ClientRequestInfo_CORBA_Policy_copy
class | TAO_ClientRequestInfo_CORBA_Policy_destroy
class | TAO_ClientRequestInfo_CORBA_Policy_policy_type_get
## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CS_
#define | _CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CS_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_POLICYLIST_CS_
#define | _CORBA_POLICYLIST_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_CORBA_POLICYTYPESEQ_CS_
#define | _CORBA_POLICYTYPESEQ_CS_
## Functions
CORBA::Policy_ptr | tao_CORBA_Policy_duplicate ( CORBA::Policy_ptr p )
void | tao_CORBA_Policy_release ( CORBA::Policy_ptr p )
CORBA::Policy_ptr | tao_CORBA_Policy_nil ( void )
CORBA::Policy_ptr | tao_CORBA_Policy_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
CORBA::Object* | tao_CORBA_Policy_upcast ( void *src )
CORBA_PolicyManager_ptr | tao_CORBA_PolicyManager_duplicate ( CORBA_PolicyManager_ptr p )
void | tao_CORBA_PolicyManager_release ( CORBA_PolicyManager_ptr p )
CORBA_PolicyManager_ptr | tao_CORBA_PolicyManager_nil ( void )
CORBA_PolicyManager_ptr | tao_CORBA_PolicyManager_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
CORBA::Object* | tao_CORBA_PolicyManager_upcast ( void *src )
CORBA::PolicyCurrent_ptr | tao_CORBA_PolicyCurrent_duplicate ( CORBA::PolicyCurrent_ptr p )
void | tao_CORBA_PolicyCurrent_release ( CORBA::PolicyCurrent_ptr p )
CORBA::PolicyCurrent_ptr | tao_CORBA_PolicyCurrent_nil ( void )
CORBA_PolicyCurrent_ptr | tao_CORBA_PolicyCurrent_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
CORBA::Object* | tao_CORBA_PolicyCurrent_upcast ( void *src )
void | operator<<= (CORBA::Any &_tao_any, const CORBA::PolicyError &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyError *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyError *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::PolicyError *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const CORBA_InvalidPolicies &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA_InvalidPolicies *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA_InvalidPolicies *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA_InvalidPolicies *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::Policy_ptr _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::Policy_ptr &_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const CORBA::PolicyList &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::PolicyList *&_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const CORBA::PolicyTypeSeq &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyTypeSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyTypeSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::PolicyTypeSeq *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::SetOverrideType _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::SetOverrideType &_tao_elem)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA_InvalidPolicies::_tao_seq_UShort &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, CORBA_InvalidPolicies::_tao_seq_UShort &_tao_sequence )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA::Policy_ptr _tao_objref )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, CORBA::Policy_ptr &_tao_objref )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA::PolicyList &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, CORBA::PolicyList &_tao_sequence )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA::PolicyTypeSeq &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, CORBA::PolicyTypeSeq &_tao_sequence )
## Variables
CORBA_TAO_Policy_Proxy_Broker* (* | CORBA_CORBA_TAO_Policy_Proxy_Broker_Factory_function_pointer )( CORBA::Object_ptr obj ) = 0

## Define Documentation

#define _CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CS_

#define _CORBA_POLICYLIST_CS_

#define _CORBA_POLICYTYPESEQ_CS_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_POLICYLIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_CORBA_INVALIDPOLICIES__TAO_SEQ_USHORT_CS_

#define __TAO_UNBOUNDED_SEQUENCE_CORBA_POLICYTYPESEQ_CS_

## Function Documentation

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA::PolicyTypeSeq & _tao_sequence )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA::PolicyList & _tao_sequence )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA::Policy_ptr _tao_objref )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_InvalidPolicies::_tao_seq_UShort & _tao_sequence )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA::SetOverrideType _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA::PolicyTypeSeq * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const CORBA::PolicyTypeSeq & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA::PolicyList * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const CORBA::PolicyList & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA::Policy_ptr _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA_InvalidPolicies * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const CORBA_InvalidPolicies & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA::PolicyError * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const CORBA::PolicyError & _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA::PolicyTypeSeq & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA::PolicyList & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA::Policy_ptr & _tao_objref )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_InvalidPolicies::_tao_seq_UShort & _tao_sequence )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA::SetOverrideType & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const CORBA::PolicyTypeSeq *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA::PolicyTypeSeq *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const CORBA::PolicyList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA::PolicyList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA::Policy_ptr & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const CORBA_InvalidPolicies *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA_InvalidPolicies *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const CORBA::PolicyError *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA::PolicyError *& _tao_elem )

CORBA::PolicyCurrent_ptr tao_CORBA_PolicyCurrent_duplicate ( | CORBA::PolicyCurrent_ptr p )

CORBA_PolicyCurrent_ptr tao_CORBA_PolicyCurrent_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

CORBA::PolicyCurrent_ptr tao_CORBA_PolicyCurrent_nil ( | void )

void tao_CORBA_PolicyCurrent_release ( | CORBA::PolicyCurrent_ptr p )

CORBA::Object * tao_CORBA_PolicyCurrent_upcast ( | void * src )

CORBA_PolicyManager_ptr tao_CORBA_PolicyManager_duplicate ( | CORBA_PolicyManager_ptr p )

CORBA_PolicyManager_ptr tao_CORBA_PolicyManager_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

CORBA_PolicyManager_ptr tao_CORBA_PolicyManager_nil ( | void )

void tao_CORBA_PolicyManager_release ( | CORBA_PolicyManager_ptr p )

CORBA::Object * tao_CORBA_PolicyManager_upcast ( | void * src )

CORBA::Policy_ptr tao_CORBA_Policy_duplicate ( | CORBA::Policy_ptr p )

CORBA::Policy_ptr tao_CORBA_Policy_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

CORBA::Policy_ptr tao_CORBA_Policy_nil ( | void )

void tao_CORBA_Policy_release ( | CORBA::Policy_ptr p )

CORBA::Object * tao_CORBA_Policy_upcast ( | void * src )

## Variable Documentation

TAO_Export CORBA_TAO_Policy_Proxy_Broker *(* CORBA_CORBA_TAO_Policy_Proxy_Broker_Factory_function_pointer)(CORBA::Object_ptr obj)